body {
    --solution-padding-160: clamp(40px, 8.3vw, 160px);
    --solution-padding-130: clamp(40px, 6.7vw, 130px);
    --solution-padding-120: clamp(40px, 6.7vw, 120px);
    --solution-padding-100: clamp(40px, 5.2vw, 100px);
    --solution-size-24: clamp(20px, 1.25vw, 24px);
}

.header {
    transition: all .5s;
    background-color: #000;
}

.header .logo .color-logo {
    display: none;
}

.header .logo .white-logo {
    display: block;
}

.header .topmenus .item>a,
.header .rightpart span {
    color: #fff;
}

.section-title {
    font-size: clamp(26px, 2.5vw, 48px);
    font-weight: bold;
    line-height: 1.3;
}

.font-size-38 {
    font-size: clamp(22px, 1.9vw, 38px);
    font-weight: bold;
    line-height: 1.2;
}

.solution-page,
.solution-detail-page,
.solution-aidc-page {
    background-color: #010313;
}

.solution-banner {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
}

.solution-banner .bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.solution-banner .bg img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.solution-banner .bg video {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.solution-banner .bg.has-video::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .1);
}

.solution-banner .main-content {
    position: relative;
    z-index: 2;
    font-size: clamp(30px, 3.5vw, 68px);
    font-weight: bold;
    color: #fff;
}

.solution-page .solution-banner .main-content {
    letter-spacing: .5em;
}


.solution-banner .main-content .solution-logo {
    width: clamp(120px, 16.6vw, 320px);
    margin: 0 auto;
}

.solution-banner .main-content .solution-logo img {
    display: block;
    width: 100%;
}

.solution-page .choice {
    background: url('../images/solution/bg2.jpg') no-repeat center/cover;
    padding-top: var(--solution-padding-160);
    padding-bottom: var(--solution-padding-160);
    color: #fff;
}

.solution-page .choice-main {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.solution-page .choice-main .left {
    width: 33%;
}

.solution-page .choice-main .left .list {
    margin-top: clamp(20px, 2vw, 40px);
}

.solution-page .choice-main .left .item {
    display: flex;
    gap: 20px;
}

.solution-page .choice-main .left .item:not(:first-child) {
    margin-top: clamp(20px, 2.6vw, 50px);
}

.solution-page .choice-main .left .item .icon {
    width: 40px;
}

.solution-page .choice-main .left .item .icon img {
    display: block;
    max-width: 100%;
    margin: 0 auto;
}

.solution-page .choice-main .left .item .text {
    flex: 1;
}

.solution-page .choice-main .left .item .text-title {
    font-size: var(--solution-size-24);
    font-weight: bold;
    line-height: 1.3;
}

.solution-page .choice-main .left .item .text ul {
    margin-top: 15px;
    text-align: 16px;
    line-height: 1.8;
}

.solution-page .choice-main .left .item .text ul li {
    position: relative;
    display: flex;
    gap: 10px;
}

.solution-page .choice-main .left .item .text ul li::before {
    content: '';
    position: relative;
    display: block;
    width: 5px;
    height: 5px;
    margin-top: 10px;
    border-radius: 50%;
    background-color: #fff;
}

.solution-page .choice-main .left .item .text ul li p {
    flex: 1;
}

.solution-page .choice-main .right-pic {
    width: 47%;
    border-radius: 20px;
    overflow: hidden;
}

.solution-page .choice-main .right-pic img {
    width: 100%;
}

.solution-page .part-two {
    padding-top: var(--solution-padding-160);
    background: url('../images/solution/solution-bg-1.jpg') no-repeat top/cover;
}

.solution-page .supplier {
    position: relative;
    display: flex;
    justify-content: space-between;
    padding-bottom: var(--solution-padding-130);
    color: #fff;
}

.solution-page .supplier .bg {
    position: absolute;
    top: -40px;
    right: 0;
    width: 62%;
}

.solution-page .supplier .bg img {
    width: 100%;
}

.solution-page .supplier .supplier-text {
    width: 45%;
}

.solution-page .supplier .supplier-text ul {
    margin-top: clamp(20px, 1.5vw, 30px);
    font-size: 16px;
    line-height: 1.8;
}

.solution-page .supplier .supplier-text ul li {
    position: relative;
    display: flex;
    gap: 10px;
}

.solution-page .supplier .supplier-text ul li::before {
    content: '';
    position: relative;
    display: block;
    width: 5px;
    height: 5px;
    margin-top: 10px;
    border-radius: 50%;
    background-color: #fff;
}

.solution-page .supplier .supplier-text ul li p {
    flex: 1;
}

.solution-page .supplier .data {
    position: relative;
    z-index: 2;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: clamp(20px, 3vw, 60px);
    width: 50%;
}

.solution-page .supplier .data .item {
    padding-top: 20px;
    padding-bottom: clamp(20px, 1.5vw, 30px);
    border-top: 1px solid rgba(255, 255, 255, .6);
}

.solution-page .supplier .data .num-text {
    display: flex;
    align-items: center;
    font-size: clamp(35px, 4.2vw, 82px);
    line-height: 1;
    font-weight: bold;
}

.solution-page .supplier .data .name {
    margin-top: clamp(20px, 2vw, 40px);
    font-size: 20px;
}

.solution-page .case {
    padding-bottom: var(--solution-padding-130);
}

.solution-page .case .section-title {
    text-align: center;
}

.section-title.color-title span {
    background-image: linear-gradient(90deg, #226EE0, #75FFD9, #226EE0, #75FFD9);
    background-size: 200% auto;
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    animation: shimmer 3s linear infinite alternate;
}

@keyframes shimmer {
    to {
        background-position: 100% center;
    }
}

.solution-page .case .list {
    display: flex;
    flex-direction: column;
    gap: clamp(25px, 3.1vw, 60px);
    margin-top: clamp(30px, 2.6vw, 50px);
    color: #fff;
}

.solution-page .case .list .item {
    display: flex;
    align-items: center;
    width: 100%;
}

.solution-page .case .list .item:nth-child(even) {
    flex-direction: row-reverse;
}

.solution-page .case .list .item .pic {
    width: 50%;
    aspect-ratio: 17 / 11;
    border-radius: 20px;
    overflow: hidden;
}

.solution-page .case .list .item .pic img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.solution-page .case .list .item .item-content {
    width: 50%;
    padding-left: clamp(20px, 4.1vw, 80px);
}

.solution-page .case .list .item .title {
    font-size: clamp(22px, 1.8vw, 36px);
    font-weight: bold;
    line-height: 1.3;
}

.solution-page .case .list .item .text {
    margin-top: clamp(15px, 1.5vw, 30px);
    font-size: 16px;
}

.solution-page .case .list .item .btn {
    margin-top: clamp(20px, 2.6vw, 50px);
}

.solution-page .case .list .item .btn a {
    display: inline-block;
    padding: clamp(15px, 1vw, 20px) clamp(45px, 3vw, 70px);
    border-radius: 10000px;
    border: 1px solid rgba(255, 255, 255, .4);
    font-size: 14px;
    color: #fff;
}

.btn a {
    transition: background-color .5s;
}

.btn a:hover {
    background-color: #39a9ae;
}

.solution-detail-page .part-one {
    background: url('../images/solution/supermarket-bg-1.jpg') no-repeat top/cover;
}

.solution-detail-page .chart {
    padding-top: var(--solution-padding-120);
    padding-bottom: var(--solution-padding-120);
    color: #fff;
}

.solution-detail-page .chart .top-content {
    text-align: center;
    font-size: var(--solution-size-24);
}

.solution-detail-page .chart .top-content .text {
    width: 656px;
    margin: 0 auto;
    margin-top: 20px;
}

.solution-detail-page .chart .chart-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: clamp(30px, 2.6vw, 50px);
}

.solution-detail-page .chart .chart-content .left {
    display: flex;
    flex-direction: column;
    gap: clamp(20px, 3.1vw, 60px);
    width: 45%;
    font-size: 16px;
}

.solution-detail-page .chart .chart-content .left .title {
    font-size: var(--solution-size-24);
    font-weight: bold;
}

.solution-detail-page .chart .chart-content .chart-pic {
    width: 47%;
}

.solution-detail-page .chart .chart-content .chart-pic img {
    display: block;
    width: 100%;
}

.solution-detail-page .pain-points {
    padding-top: 30px;
    padding-bottom: var(--solution-padding-120);
}

.solution-detail-page .pain-points .top-content {
    text-align: center;
    font-size: var(--solution-size-24);
    color: #fff;
}

.solution-detail-page .pain-points .top-content .section-title {
    font-size: var(--solution-size-24);
    font-weight: normal;
    line-height: 1;
}

.solution-detail-page .pain-points .top-content .section-title span {
    font-size: clamp(50px, 8.3vw, 160px);
    font-weight: bold;
    margin-right: 8px;
}

.solution-detail-page .pain-points .top-content .text {
    width: 760px;
    margin: 0 auto;
    margin-top: 20px;
    line-height: 1.7;
}

.solution-detail-page .pain-points .list {
    display: flex;
    gap: clamp(20px, 1.56vw, 30px);
    margin-top: clamp(25px, 2vw, 50px);
    color: #fff;
}

.solution-detail-page .pain-points .list .item {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    aspect-ratio: 1 / 1;
    padding: clamp(20px, 1vw, 30px);
    padding-bottom: 20px;
    border-radius: 15px;
    background-color: rgba(255, 255, 255, .1);
}

.solution-detail-page .pain-points .list .top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
    font-size: var(--solution-size-24);
    line-height: 1.2;
}

.solution-detail-page .pain-points .list .top p:not(.series) {
    flex: 1;
}

.solution-detail-page .pain-points .list .series {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    height: 30px;
    border-radius: 5px;
    font-size: 16px;
    border: 1px solid rgba(255, 255, 255, .5);
}

.solution-detail-page .pain-points .list .icon {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
}

.solution-detail-page .pain-points .list .icon img {
    max-height: 80%;
}

.solution-detail-page .pain-points .list .text {
    font-size: 16px;
    text-align: justify;
}

.solution-detail-page .pain-points .list .text span {
    font-weight: bold;
}

.solution-detail-page .product-program {
    padding-top: 30px;
    padding-bottom: var(--solution-padding-120);
}

.solution-detail-page .product-program .top-content {
    text-align: center;
    font-size: var(--solution-size-24);
    color: #fff;
}

.solution-detail-page .product-program .top-content .text {
    width: clamp(500px, 54vw, 1050px);
    margin: 0 auto;
    margin-top: 20px;
    line-height: 1.7;
}

.solution-detail-page .product-program .switch-content {
    color: #fff;
}

.solution-detail-page .product-program .switch-content .btn-list {
    display: flex;
    gap: clamp(20px, 3.6vw, 70px);
    justify-content: center;
    margin-top: clamp(30px, .26vw, 50px);
    font-size: 18px;
}

.solution-detail-page .product-program .switch-content .btn-list .btn {
    opacity: .6;
    cursor: pointer;
}

.solution-detail-page .product-program .switch-content .btn-list .btn:hover {
    opacity: 1;
}

.solution-detail-page .product-program .switch-content .btn-list .active {
    opacity: 1;
    font-weight: bold;
}

.solution-detail-page .product-program .switch-main .program {
    display: none;
    gap: clamp(20px, 1.56vw, 30px);
    margin-top: 30px;
}

.solution-detail-page .product-program .switch-main .program.active {
    display: flex;
}

.solution-detail-page .product-program .switch-main .program .left-pic {
    width: 65%;
    border-radius: 20px;
    overflow: hidden;
}

.solution-detail-page .product-program .switch-main .program .left-pic img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.solution-detail-page .product-program .switch-main .list {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.solution-detail-page .product-program .switch-main .list .item {
    flex: 1;
    display: flex;
    align-items: center;
    gap: 20px;
    padding: 15px clamp(20px, 1.56vw, 30px);
    border-radius: 20px;
    background-color: rgba(255, 255, 255, .1);
}


.solution-detail-page .product-program .switch-main .item .icon {
    width: 35px;
}

.solution-detail-page .product-program .switch-main .item .icon img {
    width: 100%;
}

.solution-detail-page .product-program .switch-main .item-content {
    flex: 1;
}

.solution-detail-page .product-program .switch-main .item-content .title {
    font-weight: bold;
    font-size: 18px;
    line-height: 1.2;
}

.solution-detail-page .product-program .switch-main .item-content .text {
    margin-top: 10px;
    font-size: 16px;
}

.solution-detail-page .product-advantage {
    padding-top: var(--solution-padding-120);
    background: url('../images/solution/supermarket-bg-2.jpg') no-repeat top/cover;
}

.solution-detail-page .product-advantage-main {
    position: relative;
}

.solution-detail-page .product-advantage-main .advantage-content {
    position: relative;
    z-index: 2;
}

.solution-detail-page .product-advantage .title {
    margin-top: clamp(20px, 2.6vw, 50px);
    color: #fff;
}

.solution-detail-page .product-advantage .advantage-swiper {
    padding-left: calc((50% - 420px) / 2);
    padding-right: calc((50% - 420px) / 2);
    margin-top: clamp(20px, 2.6vw, 50px);
    overflow: hidden;
}

.solution-detail-page .product-advantage .section-title {
    text-align: center;
}

.solution-detail-page .product-advantage .swiper-slide {
    width: 340px;
    height: auto;
    padding: clamp(20px, 2vw, 40px) clamp(20px, 1.5vw, 30px);
    padding-bottom: clamp(20px, 2vw, 40px);
    background-color: rgba(255, 255, 255, .1);
    border-radius: 20px;
    backdrop-filter: blur(5px);
    color: #fff;
}

.solution-detail-page .product-advantage .swiper-slide .icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
}

.solution-detail-page .product-advantage .swiper-slide .icon img {
    max-width: 100%;
    max-height: 100%;
}

.solution-detail-page .product-advantage .swiper-slide .name {
    margin-top: 20px;
    font-size: clamp(18px, 1vw, 20px);
    font-weight: bold;
    line-height: 1.2;
}

.solution-detail-page .product-advantage .swiper-slide .text {
    margin-top: 10px;
    text-align: justify;
    font-size: 16px;
}

.swiper-btn-content.square-btn .swiper-button-next,
.swiper-btn-content.square-btn .swiper-button-prev {
    position: relative;
    right: auto;
    left: auto;
    bottom: auto;
    top: auto;
    background: none;
    margin-top: 0;
}

.swiper-btn-content.square-btn {
    display: flex;
    align-items: center;
    gap: clamp(20px, 1.56vw, 30px);
    margin-top: clamp(30px, 3.1vw, 60px);
}

.swiper-btn-content.square-btn .btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border: 1px solid rgba(255, 255, 255, .5);
    border-radius: 5px;
}

.swiper-btn-content.square-btn .btn img {
    width: 15%;
}

.swiper-btn-content.square-btn .swiper-button-prev img {
    transform: rotateY(180deg);
}

.solution-detail-page .product-advantage .certificate {
    margin-top: -300px;
}

.solution-detail-page .dolphin-series {
    padding-top: var(--solution-padding-120);
    color: #fff;
    background: url('../images/solution/supermarket-bg-3.jpg') no-repeat top/cover;
}

.solution-detail-page .dolphin-series .series-content {
    display: flex;
    align-items: center;
    margin-top: clamp(25px, 2.6vw, 50px);
    background-color: rgba(255, 255, 255, .1);
    border-radius: 15px;
}

.solution-detail-page .dolphin-series .series-pic {
    width: 60%;
    border-radius: 20px;
    overflow: hidden;
}

.solution-detail-page .dolphin-series .series-pic img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.solution-detail-page .dolphin-series .content-list {
    flex: 1;
    padding: 20px clamp(20px, 2vw, 40px);
    padding-left: clamp(20px, 2.6vw, 50px);
}

.solution-detail-page .dolphin-series .content-list .item {
    border-bottom: 1px solid rgba(255, 255, 255, .2);
}

.solution-detail-page .dolphin-series .content-list .top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: clamp(15px, 1.3vw, 25px) 10px;
    padding-left: 0;
    font-size: var(--solution-size-24);
    cursor: pointer;
}

.solution-detail-page .dolphin-series .content-list .active .top {
    font-size: clamp(22px, 1.8vw, 36px);
    font-weight: bold;
    line-height: 1;
}

.solution-detail-page .dolphin-series .content-list .top .icon {
    position: relative;
    width: clamp(20px, 1.5vw, 30px);
    height: clamp(20px, 1.5vw, 30px);
}

.solution-detail-page .dolphin-series .content-list .top .icon span {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 100%;
    height: 1px;
    background-color: #fff;
}

.solution-detail-page .dolphin-series .content-list .active .top .icon span:nth-child(2) {
    transform: translateY(-50%) rotate(90deg);
}

.solution-detail-page .dolphin-series .content-list .text {
    display: none;
    padding-bottom: clamp(30px, 4.1vw, 80px);
    font-size: 16px;
}

.solution-detail-page .dolphin-series .content-list .text ul li {
    position: relative;
    display: flex;
    gap: 10px;
}

.solution-detail-page .dolphin-series .content-list .text ul li::before {
    content: '';
    position: relative;
    display: block;
    width: 3px;
    height: 3px;
    margin-top: 12px;
    border-radius: 50%;
    background-color: #fff;
}

.solution-detail-page .dolphin-series .content-list .text ul li p {
    flex: 1;
}

.solution-detail-page .battery-logic {
    padding-top: var(--solution-padding-120);
    padding-bottom: var(--solution-padding-120);
}

.solution-detail-page .battery-logic .logic-main {
    margin-top: clamp(30px, 2.6vw, 50px);
}

.solution-detail-page .battery-logic .timeline {
    display: flex;
    gap: 10px;
}

.solution-detail-page .battery-logic .timeline-pic {
    margin-top: 10px;
}

.solution-detail-page .battery-logic .fn {
    display: flex;
    justify-content: center;
    gap: clamp(20px, 2vw, 40px);
    margin-top: clamp(30px, 2.6vw, 50px);
}

.solution-detail-page .battery-logic .fn .item {
    width: 41%;
}

.solution-detail-page .battery-logic .fn .item img {
    width: 100%;
}

.solution-detail-page .part-three {
    background: url('../images/solution/supermarket-bg-4.jpg') no-repeat top left/cover;
}

.solution-detail-page .calculate {
    padding-top: var(--solution-padding-120);
}

.solution-detail-page .calculate .top-content {
    text-align: center;
    color: #fff;
    font-size: var(--solution-size-24);
}

.solution-detail-page .calculate .top-content .text {
    margin-top: 15px;
}

.solution-detail-page .calculate .scene-list {
    display: flex;
    gap: clamp(20px, 2vw, 40px);
    margin-top: clamp(30px, 2.6vw, 50px);
}

.solution-detail-page .calculate .scene-list .scene {
    flex: 1;
    position: relative;
    padding: clamp(20px, 1.5vw, 30px);
    padding-bottom: 30px;
    border-radius: 15px;
    background-color: rgba(255, 255, 255, .1);
    font-size: var(--solution-size-24);
    font-weight: bold;
    color: #fff;
    cursor: pointer;
}

.solution-detail-page .calculate .scene-list .scene:hover {
    background-color: rgba(34, 110, 224, .2);
}

.solution-detail-page .calculate .scene-list .scene .pic {
    width: clamp(200px, 20vw 400px);
    margin: 0 auto;
    margin-top: 35px;
    margin-bottom: 50px;
}

.solution-detail-page .calculate .scene-list .scene .pic img {
    width: 100%;
}

.solution-detail-page .calculate .scene-list .scene-name {
    text-align: center;
    line-height: 1.3;
}

.solution-detail-page .calculate .scene-list .check-box {
    position: absolute;
    top: clamp(20px, 1.5vw, 30px);
    right: clamp(20px, 1.5vw, 30px);
    display: flex;
    justify-content: center;
    align-items: center;
    width: clamp(30px, 2.6vw, 50px);
    height: clamp(30px, 2.6vw, 50px);
    border-radius: 50%;
    border: 2px solid rgba(255, 255, 255, .6);
}

.solution-detail-page .calculate .scene-list .check-box img {
    width: 50%;
    transform: scale(.5);
    opacity: 0;
}

.solution-detail-page .calculate .scene-list .scene.active {
    background-color: rgba(34, 110, 224, .2);
}

.solution-detail-page .calculate .scene-list .scene.active .check-box {
    background-color: #268CC7;
    border-color: #268CC7;
}

.solution-detail-page .calculate .scene-list .scene.active .check-box img {
    transform: scale(1);
    opacity: 1;
}

.solution-detail-page .calculate .btn {
    margin-top: clamp(20px, 3.1vw, 60px);
    text-align: center;
}

.solution-detail-page .calculate .btn a {
    display: inline-block;
    padding: clamp(15px, 1vw, 20px) clamp(45px, 3vw, 70px);
    border-radius: 10000px;
    border: 1px solid rgba(255, 255, 255, 1);
    font-size: 14px;
    color: #fff;
    line-height: 1;
}

.solution-detail-page .calculate-result {
    display: none;
    padding-top: var(--solution-padding-120);
}

.solution-detail-page .calculate-result .top-content {
    margin-bottom: clamp(30px, 3.6vw, 70px);
    text-align: center;
    font-size: var(--solution-size-24);
}

.solution-detail-page .calculate-result .top-content .text {
    margin-top: 15px;
    color: #fff;
}

.solution-detail-page .calculate-result .result-item .result-title {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    font-size: clamp(22px, 1.8vw, 36px);
    color: #fff;
}

.solution-detail-page .calculate-result .result-item .result-title span {
    padding: 0 clamp(20px, 2vw, 40px);
}

.solution-detail-page .calculate-result .result-item .result-title::before,
.solution-detail-page .calculate-result .result-item .result-title::after {
    content: '';
    flex: 1;
    display: block;
    height: 1px;
    background-color: rgba(255, 255, 255, .5);
}

.solution-detail-page .calculate-result .result-detail {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: clamp(30px, 2.6vw, 50px);
}

.solution-detail-page .calculate-result .result-detail .left {
    position: relative;
    width: 35%;
}

.solution-detail-page .calculate-result .result-detail .left .circle {
    width: 100%;
}

.solution-detail-page .calculate-result .result-detail .left .circle svg {
    width: 100%;
}

.solution-detail-page .calculate-result .result-detail .left-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    color: #fff;
    text-align: center;
}

.solution-detail-page .calculate-result .result-detail .left-content .name {
    font-size: var(--solution-size-24);
    color: #268CC7;
    font-weight: bold;
}

.solution-detail-page .calculate-result .result-detail .left-content .money {
    margin-top: 15px;
}

.solution-detail-page .calculate-result .result-detail .left-content .num {
    font-size: clamp(30px, 3.4vw, 66px);
    font-weight: bold;
    line-height: 1.2;
}

.solution-detail-page .calculate-result .result-detail .left-content .unit {
    margin-left: 10px;
    font-size: var(--solution-size-24);
    font-weight: bold;
    line-height: 1.2;
}

.solution-detail-page .calculate-result .result-detail .line {
    position: relative;
    z-index: 2;
    width: 15%;
}

.solution-detail-page .calculate-result .result-detail .line img {
    width: 100%;
}

.solution-detail-page .calculate-result .result-detail .data-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 35%;
    color: #fff;
}

.solution-detail-page .calculate-result .result-detail .data-list .item {
    width: 100%;
    padding: 20px 30px;
    border: 1px solid rgba(255, 255, 255, .5);
    border-radius: 15px;
    background-color: rgba(219, 209, 161, .1);
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, .3), rgba(0, 0, 0, 0));
    font-size: clamp(18px, 1vw, 20px);
    line-height: 1.2;
    transform: translateX(-5px);
}

.solution-detail-page .calculate-result .result-detail .data-list .item .money {
    margin-top: 5px;
}

.solution-detail-page .calculate-result .result-item.invest .data-list .item:nth-child(3) {
    margin-top: clamp(50px, 5.2vw, 100px);
}

.solution-detail-page .calculate-result .result-item.revenue {
    margin-top: var(--solution-padding-120);
}

.solution-detail-page .calculate-result .result-item.revenue .data-list {
    gap: clamp(20px, 2.6vw, 50px);
}

.solution-detail-page .calculate-result .roi {
    margin-top: var(--solution-padding-100);
    color: #fff;
}

.solution-detail-page .calculate-result .roi .title {
    position: relative;
    font-size: var(--solution-size-24);
    line-height: 1.2;
}

.solution-detail-page .calculate-result .roi .title span {
    position: relative;
    z-index: 2;
    font-weight: bold;
}

.solution-detail-page .calculate-result .roi .title::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 2em;
    height: 10px;
    background-image: linear-gradient(to right, #226EE0, #75FFD9);
}

.solution-detail-page .calculate-result .roi-main {
    padding: clamp(25px, 4.1vw, 80px);
    margin-top: clamp(25px, 2.6vw, 50px);
    border: 1px solid rgba(255, 255, 255, .6);
    border-radius: 15px;
    text-align: center;
}

.solution-detail-page .calculate-result .roi-main .name {
    font-size: clamp(22px, 1.8vw, 36px);
    line-height: 1.2;
}

.solution-detail-page .calculate-result .roi-main .section-title {
    margin-top: 20px;
    font-size: clamp(40px, 4.5vw, 88px);
}

.solution-detail-page .calculate-result .roi-main .section-title span:nth-child(1) {
    margin-right: 10px;
    font-size: clamp(24px, 2.5vw, 48px);
}

.solution-detail-page .calculate-result .roi .tips {
    margin-top: clamp(20px, 2vw, 40px);
    font-size: 14px;
    color: rgba(255, 255, 255, .6);
}

.solution-detail-page .case {
    padding-top: var(--solution-padding-120);
    padding-bottom: clamp(30px, 3.1vw, 60px);
}

.solution-detail-page .case .section-title {
    text-align: center;
}

.solution-detail-page .case .case-content {
    margin-top: clamp(30px, 2.6vw, 50px);
}

.solution-detail-page .case .case-name {
    font-size: var(--solution-size-24);
    line-height: 1.2;
    font-weight: bold;
    color: #fff;
}

.solution-detail-page .case .case-swiper {
    padding-left: calc((50% - 420px) / 2);
    padding-right: calc((50% - 420px) / 2);
    /* padding-right: calc((100% - 450px) - (50% - 420px) / 2); */
    margin-top: clamp(20px, 2vw, 40px);
    overflow: hidden;
}

.solution-detail-page .case .case-swiper .swiper-slide {
    width: 450px;
    height: auto;
    border-radius: 15px;
    overflow: hidden;
}

.solution-detail-page .case .case-swiper .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.recommend-product {
    padding-top: clamp(30px, 3.1vw, 60px);
    padding-bottom: var(--solution-padding-160);
    text-align: center;
}

.recommend-product .recommend-list {
    /* display: grid;
    grid-template-columns: repeat(3, 1fr); */
    display: flex;
    justify-content: center;
    gap: clamp(20px, 2vw, 40px);
    margin-top: 50px;
}

.recommend-product .recommend-list .item {
    width: calc((100% - clamp(20px, 2vw, 40px) * 2) / 3);
    display: flex;
    flex-direction: column;
    padding: clamp(25px, 2vw, 60px) clamp(20px, 2vw, 40px);
    border-radius: 15px;
    background-color: rgba(255, 255, 255, .1);
    color: #fff;
}

.recommend-product .recommend-list .pic {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.recommend-product .recommend-list .pic img {
    max-width: 100%;
    max-height: 300px;
}

.recommend-product .recommend-list .name {
    margin-top: 30px;
    font-size: clamp(22px, 1.8vw, 36px);
    font-weight: bold;
    line-height: 1.2;
}

.recommend-product .recommend-list .text {
    margin-top: 20px;
    font-size: 16px;
}

.recommend-product .recommend-list .btn {
    margin-top: clamp(25px, 2.6vw, 50px);
}

.recommend-product .recommend-list .btn a {
    display: inline-block;
    padding: clamp(15px, 1vw, 20px) clamp(45px, 3vw, 70px);
    border-radius: 10000px;
    border: 1px solid rgba(255, 255, 255, 1);
    font-size: 14px;
    color: #fff;
    line-height: 1;
}

.solution-aidc-page .part-one {
    background: url('../images/solution/aidc-bg-1.jpg') no-repeat top/cover;
}

.solution-aidc-page .scene-description {
    padding-top: var(--solution-padding-120);
    color: #fff;
}

.solution-aidc-page .scene-description .top-content {
    text-align: center;
}

.solution-aidc-page .scene-description .top-content .text {
    margin-top: 15px;
    font-size: 16px;
    line-height: 1.8;
}

.solution-aidc-page .scene-description .list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: clamp(20px, 1.5vw, 30px);
    margin-top: clamp(30px, 2.6vw, 50px);
}

.solution-aidc-page .scene-description .list .item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    aspect-ratio: 1 / 1;
    padding: 30px;
    border-radius: 15px;
    border: 1px solid rgba(255, 255, 255, .3);
    background-color: rgba(255, 255, 255, .1);
    line-height: 1.2;
    font-size: 16px;
}

.solution-aidc-page .scene-description .list .icon {
    height: clamp(40px, 3.2vw, 62px);
}

.solution-aidc-page .scene-description .list .icon img {
    width: auto;
    height: 100%;
}

.solution-aidc-page .scene-description .list .text-content {
    margin-top: 10px;
}

.solution-aidc-page .scene-description .list .name {
    font-weight: bold;
    font-size: var(--solution-size-24);
}

.solution-aidc-page .scene-description .list .text {
    margin-top: 15px;
}

.solution-aidc-page .aidc-trend {
    margin-top: var(--solution-padding-120);
    color: #fff;
}

.solution-aidc-page .aidc-trend .section-title {
    text-align: center;
}

.solution-aidc-page .aidc-trend .trend-list {
    display: flex;
    flex-direction: column;
    gap: clamp(30px, 6.2vw, 120px);
    margin-top: clamp(30px, 2vw, 40px);
}

.solution-aidc-page .aidc-trend .trend-item {
    display: flex;
    align-items: center;
    gap: clamp(40px, 4.1vw, 80px);
}

.solution-aidc-page .aidc-trend .trend-item:nth-child(even) {
    flex-direction: row-reverse;
}

.solution-aidc-page .aidc-trend .trend-item .left {
    width: calc(50% - clamp(20px, 2vw, 40px));
}

.solution-aidc-page .aidc-trend .trend-item .left .pic {
    width: 100%;
    height: 100%;
    border-radius: 20px;
    overflow: hidden;
}

.solution-aidc-page .aidc-trend .trend-item .left .pic img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.solution-aidc-page .aidc-trend .trend-item .text-content {
    width: calc(50% - clamp(20px, 2vw, 40px));
    padding: 20px 0;
}

.solution-aidc-page .aidc-trend .trend-item .text-content .title {
    font-size: clamp(22px, 1.8vw, 36px);
    font-weight: bold;
    line-height: 1.2;
}

.solution-aidc-page .aidc-trend .trend-item .text-content .text {
    display: flex;
    flex-direction: column;
    gap: clamp(10px, 1vw, 20px);
    margin-top: clamp(20px, 1.5vw, 30px);
    text-align: justify;
}

.solution-aidc-page .aidc-trend .trend-item .grid-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
}

.solution-aidc-page .aidc-trend .trend-item .grid-list .detail-item {
    padding: clamp(20px, 1.5vw, 30px);
    background-color: rgba(255, 255, 255, .1);
    border-radius: 15px;
}

.solution-aidc-page .aidc-trend .trend-item .grid-list .icon {
    height: 45px;
}

.solution-aidc-page .aidc-trend .trend-item .grid-list .icon img {
    width: auto;
    height: 100%;
}

.solution-aidc-page .aidc-trend .trend-item .grid-list .detail-content {
    margin-top: clamp(20px, 2.6vw, 50px);
    font-size: 14px;
}

.solution-aidc-page .aidc-trend .trend-item .grid-list .name {
    font-size: 20px;
    line-height: 1.2;
}

.solution-aidc-page .aidc-trend .trend-item .grid-list .text {
    margin-top: 8px;
}

.solution-aidc-page .pain-point {
    margin-top: var(--solution-padding-120);
    padding-bottom: var(--solution-padding-120);
}

.solution-aidc-page .pain-point .section-title {
    text-align: center;
    font-size: var(--solution-size-24);
    color: #fff;
    font-weight: normal;
}

.solution-aidc-page .pain-point .section-title span {
    font-size: clamp(50px, 8.3vw, 160px);
    font-weight: bold;
}

.solution-aidc-page .pain-point .list {
    display: flex;
    flex-direction: column;
    gap: clamp(30px, 2vw, 40px);
    margin-top: clamp(30px, 2vw, 40px);
    color: #fff;
}

.solution-aidc-page .pain-point .item {
    display: flex;
}

.solution-aidc-page .pain-point .list .item:nth-child(even) {
    flex-direction: row-reverse;
}

.solution-aidc-page .pain-point .item .pic {
    width: 50%;
    border-radius: 20px;
    overflow: hidden;
}

.solution-aidc-page .pain-point .item .text-content {
    width: 50%;
    padding: clamp(30px, 4.1vw, 80px) clamp(20px, 3.1vw, 60px);
}

.solution-aidc-page .pain-point .item .title {
    font-size: clamp(22px, 1.8vw, 36px);
    font-weight: bold;
    line-height: 1.2;
}

.solution-aidc-page .pain-point .item .text {
    margin-top: clamp(15px, 1.5vw, 30px);
    font-size: 16px;
    line-height: 1.7;
    text-align: justify;
}

.solution-aidc-page .aidc-solution {
    padding-top: var(--solution-padding-120);
    color: #fff;
    background: url('../images/solution/aidc-bg-2.jpg') no-repeat top/cover;
}

.solution-aidc-page .aidc-solution-main .section-title {
    text-align: center;
}

.solution-aidc-page .aidc-solution-main .switch-btn {
    display: flex;
    justify-content: center;
    gap: clamp(20px, 4.1vw, 80px);
    margin-top: clamp(20px, 2vw, 40px);
    font-size: 18px;
}

.solution-aidc-page .aidc-solution-main .switch-btn .btn {
    opacity: .6;
    line-height: 1.2;
    cursor: pointer;
    transition: all .5s;
}

.solution-aidc-page .aidc-solution-main .switch-btn .btn:hover {
    opacity: 1;
}

.solution-aidc-page .aidc-solution-main .switch-btn .btn.active {
    opacity: 1;
    text-decoration: underline;
}

.solution-aidc-page .example-data {
    display: flex;
    margin-top: clamp(30px, 2.6vw, 50px);
    background-color: rgba(255, 255, 255, .1);
    border-radius: 15px;
}

.solution-aidc-page .aidc-solution-main .example-data .left {
    width: 50%;
    border-radius: 15px;
    overflow: hidden;
}

.solution-aidc-page .aidc-solution-main .example-data .left img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.solution-aidc-page .aidc-solution-main .example-data .data-table {
    width: 50%;
    padding: clamp(20px, 3.1vw, 60px);
}

.solution-aidc-page .aidc-solution-main .example-data .data-table .title {
    font-size: var(--solution-size-24);
    line-height: 1.2;
}

.solution-aidc-page .aidc-solution-main .example-data .data-table ul {
    margin-top: clamp(15px, 1.3vw, 25px);
    border-top: 1px solid rgba(255, 255, 255, 1);
}

.solution-aidc-page .aidc-solution-main .example-data .data-table li {
    display: flex;
    padding: clamp(15px, 1vw, 20px) 0;
    font-size: 16px;
    border-bottom: 1px solid rgba(255, 255, 255, .1);
}

.solution-aidc-page .aidc-solution-main .example-data .data-table li p {
    padding: 0 15px;
}

.solution-aidc-page .aidc-solution-main .example-data .data-table li p:nth-child(1) {
    width: 35%;
}

.solution-aidc-page .solar-component {
    margin-top: clamp(40px, 4.1vw, 80px);
}

.solution-aidc-page .solar-component .title {
    font-size: clamp(22px, 1.9vw, 38px);
    font-weight: bold;
    line-height: 1.2;
}

.solution-aidc-page .solar-component .pic {
    width: 100%;
    margin-top: clamp(30px, 2.6vw, 50px);
    border-radius: 15px;
    overflow: hidden;
}

.solution-aidc-page .solar-component .pic img {
    display: block;
    width: 100%;
}

.solution-aidc-page .solar-component .switch-btn {
    margin-top: clamp(30px, 2.6vw, 50px);
}

.solution-aidc-page .solar-component .switch-btn ul {
    display: flex;
    gap: clamp(20px, 1.5vw, 30px);
}

.solution-aidc-page .solar-component .switch-btn ul li {
    flex: 1;
    padding-top: clamp(20px, 1.5vw, 30px);
    border-top: 1px solid #fff;
    opacity: .6;
    cursor: pointer;
    transition: all .5s;
}

.solution-aidc-page .solar-component .switch-btn .name {
    font-size: var(--solution-size-24);
    font-weight: bold;
    line-height: 1.2;
}

.solution-aidc-page .solar-component .switch-btn .text {
    margin-top: clamp(15px, 1vw, 20px);
    font-size: 16px;
}

.solution-aidc-page .solar-component .switch-btn ul li:hover {
    opacity: 1 !important;
}

.solution-aidc-page .stored-energy-system {
    margin-top: clamp(40px, 5.2vw, 100px);
}

.solution-aidc-page .stored-energy-system .title {
    font-size: clamp(22px, 1.9vw, 38px);
    font-weight: bold;
    line-height: 1.2;
}

.solution-aidc-page .stored-energy-system .series-content {
    display: flex;
    align-items: center;
    margin-top: clamp(25px, 2.6vw, 50px);
    background-color: rgba(255, 255, 255, .1);
    border-radius: 15px;
}

.solution-aidc-page .stored-energy-system .series-pic {
    width: 60%;
    border-radius: 20px;
    overflow: hidden;
}

.solution-aidc-page .stored-energy-system .series-pic img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.solution-aidc-page .stored-energy-system .content-list {
    flex: 1;
    padding: 20px clamp(20px, 2vw, 40px);
    padding-left: clamp(20px, 2.6vw, 50px);
}

.solution-aidc-page .stored-energy-system .content-list .item {
    border-bottom: 1px solid rgba(255, 255, 255, .2);
}

.solution-aidc-page .stored-energy-system .content-list .top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: clamp(15px, 1.3vw, 25px) 10px;
    padding-left: 0;
    font-size: var(--solution-size-24);
    cursor: pointer;
}

.solution-aidc-page .stored-energy-system .content-list .active .top {
    font-size: clamp(22px, 1.8vw, 36px);
    font-weight: bold;
    line-height: 1;
}

.solution-aidc-page .stored-energy-system .content-list .top .icon {
    position: relative;
    width: clamp(20px, 1.5vw, 30px);
    height: clamp(20px, 1.5vw, 30px);
}

.solution-aidc-page .stored-energy-system .content-list .top .icon span {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 100%;
    height: 1px;
    background-color: #fff;
}

.solution-aidc-page .stored-energy-system .content-list .active .top .icon span:nth-child(2) {
    transform: translateY(-50%) rotate(90deg);
}

.solution-aidc-page .stored-energy-system .content-list .text {
    display: none;
    padding-bottom: clamp(20px, 2vw, 40px);
    font-size: 16px;
}

.solution-aidc-page .stored-energy-system .content-list .text ul li {
    position: relative;
    display: flex;
    gap: 10px;
}

.solution-aidc-page .stored-energy-system .content-list .text ul li::before {
    content: '';
    position: relative;
    display: block;
    width: 3px;
    height: 3px;
    margin-top: 12px;
    border-radius: 50%;
    background-color: #fff;
}

.solution-aidc-page .stored-energy-system .content-list .text ul li p {
    flex: 1;
}

.solution-aidc-page .system-operation {
    margin-top: var(--solution-padding-120);
}

.solution-aidc-page .system-operation .top-content .title {
    font-size: clamp(22px, 1.9vw, 38px);
    font-weight: bold;
    line-height: 1.2;
}

.solution-aidc-page .system-operation .top-content .switch-day {
    margin-top: clamp(30px, 2.6vw, 50px);
    text-align: center;
}

.solution-aidc-page .system-operation .top-content .switch-day .btn-list {
    position: relative;
    display: inline-flex;
    justify-content: center;
    padding: 5px;
    background-color: rgba(255, 255, 255, .2);
    border-radius: 10000px;
    cursor: pointer;
}

.solution-aidc-page .system-operation .top-content .switch-day .btn-list::after {
    content: '';
    position: absolute;
    left: 5px;
    top: 5px;
    width: calc(50% - 5px);
    height: calc(100% - 10px);
    background-color: #268CC7;
    border-radius: 10000px;
    transition: transform .5s;
}

.solution-aidc-page .system-operation .top-content .switch-day .btn-list.active::after {
    transform: translateX(100%);
}

.solution-aidc-page .system-operation .top-content .switch-day .btn {
    position: relative;
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    width: clamp(125px, 8.3vw, 150px);
    height: clamp(45px, 3.1vw, 60px);
    border-radius: 10000px;
}

.solution-aidc-page .system-operation .top-content .switch-day .btn img {
    width: auto;
    max-height: clamp(25px, 2vw, 40px);
}

.solution-aidc-page .system-operation .top-content .switch-pattern {
    margin-top: clamp(30px, 2.6vw, 50px);
    text-align: center;
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn-list {
    position: relative;
    display: inline-flex;
    justify-content: center;
    padding: 5px;
    background-color: rgba(255, 255, 255, .2);
    border-radius: 10000px;
    cursor: pointer;
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn-list::after {
    content: '';
    position: absolute;
    left: 5px;
    top: 5px;
    width: calc(50% - 5px);
    height: calc(100% - 10px);
    background-color: #268CC7;
    border-radius: 10000px;
    transition: transform .5s;
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn-list.active::after {
    transform: translateX(100%);
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn {
    position: relative;
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    width: clamp(125px, 8.3vw, 150px);
    height: clamp(45px, 3.1vw, 60px);
    border-radius: 10000px;
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn img {
    width: auto;
    max-height: clamp(25px, 2vw, 40px);
}

/* .solution-aidc-page .system-operation .top-content .switch-pattern .btn-list {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    gap: clamp(20px, 2.6vw, 50px);
    font-size: var(--solution-size-24);
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn {
    opacity: .6;
    cursor: pointer;
    transition: all .5s;
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn:hover {
    opacity: 1;
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn-list .active {
    font-size: clamp(22px, 1.8vw, 36px);
    opacity: 1;
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn-list .btn {
    text-decoration: underline;
}

.solution-aidc-page .system-operation .top-content .switch-pattern .btn-list .btn.active {
    font-weight: bold;
} */

/* .solution-aidc-page .system-operation .top-content .name {
    margin-top: clamp(30px, 1.8vw, 35px);
    font-size: clamp(22px, 1.8vw, 36px);
    font-weight: bold;
    text-align: center;
    line-height: 1.2;
} */

.solution-aidc-page .system-operation .top-content .operation-text {
    display: none;
    width: 100%;
    top: 0;
}

.solution-aidc-page .system-operation .top-content .operation-text.active {
    display: block;
}

.solution-aidc-page .system-operation .top-content .text {
    margin-top: clamp(20px, 1.5vw, 30px);
    font-size: var(--solution-size-24);
    text-align: center;
}

.solution-aidc-page .system-operation .list {
    display: flex;
    gap: 20px;
    margin-top: clamp(30px, 2.6vw, 50px);
}

.solution-aidc-page .system-operation .list .item {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.solution-aidc-page .system-operation .list .item .icon {
    height: 54px;
}

.solution-aidc-page .system-operation .list .item .icon img {
    width: auto;
    max-height: 100%;
}

.solution-aidc-page .system-operation .list .item .text {
    margin-top: clamp(20px, 2.3vw, 45px);
    font-size: 18px;
}

.solution-aidc-page .system-operation .pic {
    width: 72%;
    margin: 0 auto;
    margin-top: clamp(20px, 2vw, 40px);
}

.solution-aidc-page .system-operation .pic img {
    width: 100%;
}

.solution-aidc-page .profit-calculation {
    padding-bottom: clamp(20px, 2vw, 40px);
    padding-top: var(--solution-padding-120);
}

.solution-aidc-page .profit-calculation .title {
    font-size: clamp(22px, 1.9vw, 38px);
    font-weight: bold;
    line-height: 1.2;
}

.solution-aidc-page .profit-calculation .table-data {
    margin-top: clamp(20px, 2vw, 40px);
}

.solution-aidc-page .profit-calculation table {
    width: 100%;
}

.solution-aidc-page .profit-calculation table thead {
    background-color: #268CC7;
}

.solution-aidc-page .profit-calculation table thead th {
    width: 25%;
    padding: 8px;
    text-align: center;
    font-weight: bold;
    font-size: var(--solution-size-24);
}

.solution-aidc-page .profit-calculation table tr {
    text-align: center;
}

.solution-aidc-page .profit-calculation tbody {
    font-size: 18px;
}

.solution-aidc-page .profit-calculation tbody tr {
    border-bottom: 1px solid rgba(255, 255, 255, .3);
}

.solution-aidc-page .profit-calculation tbody td {
    padding: 13px;
}

.solution-aidc-page .profit-calculation .table-data .tips {
    margin-top: clamp(20px, 1.8vw, 35px);
    font-size: 16px;
}

.solution-aidc-page .switch-solution-2 {
    display: none;
}